QuorumX509Util (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper.common

## Class QuorumX509Util

- java.lang.Object
- - org.apache.zookeeper.common.X509Util
  - - org.apache.zookeeper.common.QuorumX509Util

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public class QuorumX509Util
      extends X509Util

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.zookeeper.common.X509Util

      `X509Util.ClientAuth`

  - ### Field Summary

    - ### Fields inherited from class org.apache.zookeeper.common.X509Util

      `DEFAULT_HANDSHAKE_DETECTION_TIMEOUT_MILLIS, DEFAULT_PROTOCOL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QuorumX509Util()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `getConfigPrefix()`
    `protected boolean` | `shouldVerifyClientHostname()`

    - ### Methods inherited from class org.apache.zookeeper.common.X509Util

      `close, createKeyManager, createSSLContext, createSSLContextAndOptions, createSSLContextAndOptionsFromConfig, createSSLServerSocket, createSSLServerSocket, createSSLSocket, createSSLSocket, createTrustManager, enableCertFileReloading, getCipherSuitesProperty, getDefaultSSLContext, getDefaultSSLContextAndOptions, getSslCipherSuitesProperty, getSslClientAuthProperty, getSslContextSupplierClassProperty, getSslCrlEnabledProperty, getSslEnabledProtocolsProperty, getSslHandshakeDetectionTimeoutMillisProperty, getSslHandshakeTimeoutMillis, getSslHostnameVerificationEnabledProperty, getSslKeystoreLocationProperty, getSslKeystorePasswdProperty, getSslKeystoreTypeProperty, getSslOcspEnabledProperty, getSslProtocolProperty, getSslTruststoreLocationProperty, getSslTruststorePasswdProperty, getSslTruststoreTypeProperty, loadKeyStore, loadTrustStore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QuorumX509Util

          public QuorumX509Util()

  - ### Method Detail

    - #### getConfigPrefix

          protected String getConfigPrefix()

      Specified by:
        `getConfigPrefix` in class `X509Util`

    - #### shouldVerifyClientHostname

          protected boolean shouldVerifyClientHostname()

      Specified by:
        `shouldVerifyClientHostname` in class `X509Util`

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.